/*************************************************************************
**Ansteuerung des ADC am Mediatek 2502									**
**																		**
**Erstellt 25.12.2015													**
**Autor: Martin Nowak													**
*************************************************************************/
#ifndef ADC_CONTROL_H_
#define ADC_CONTROL_H_

//Debug Ausgabe wenn definiert
#define ADC_DEBUG

/************************************
**Einbinden bentigter Bibliotheken**
************************************/
#include "vmdcl.h"			//Einfgen des bentigten Driver Common Layer
#include "vmdcl_adc.h"		//Einfgen der Mediatek ADC Bibliothek
#include "vmthread.h"		//Bibliothek fr Signal ID

#ifdef ADC_DEBUG
	#ifndef VMLOG_SDK_H
		#include "vmlog.h"
	#endif
#endif

#define A0	VM_PIN_P11		//Batteriespannung kann man hier messen
#define A1	VM_PIN_P12
#define A2	VM_PIN_P13

void adc_callback(void* user_data, VM_DCL_EVENT event, VM_DCL_HANDLE device_handle);
VMUINT32 adc_read(VMUINT32 pin);

#endif
